#pragma once

#include <glm/ext/scalar_constants.hpp> // glm::pi

#include <glm/vec3.hpp>

namespace kuiper
{

namespace component
{

    struct camera_props {
        glm::vec3 euler {0.0f, -(glm::pi<float>() / 2.0f), (glm::pi<float>() / 2.0f)}; // looking down the -Z axis
        float     fov = (glm::pi<float>() / 2.0f);                                     // 90 degrees
    };

} // namespace component

} // namespace kuiper
