#pragma once

#include <glm/vec3.hpp>

namespace kuiper
{

namespace component
{

    struct directional_light {
        glm::vec3 direction {0.0f, -1.0f, 0.0f}; // Initial points straight down
    };

    struct point_light {
        glm::vec3 colour {1.0f, 1.0f, 1.0f};
        float     intensity {1.0f};
    };

} // namespace component

} // namespace kuiper
